Upgrading Q2686 to R72


#1

Hello All
I am already two days trying to upgrade firmware of my Q2686 to R72.
Current is 663_09gg.Q2686H 1955080 080207 16:01.
I havent find the SDK that came with development board, so ive downloaded new one,
that seems to be incopmatible with 6.63 firmware.

Ive tried both DwlWin tool and HyperTerm with XMODEM. None of them worked. Even grounding BOOT pin by 10K doesnt help.

Is anybody here have solved such problem??

Thanks ALL.


#2

What exactly seems to be the problem?

Regards,

wismo_coder


#3

Exactly the problem is that

  1. i can`t dowlnoad new firmware by at+wdwl
    because as i mention by talks on this forum there are different downloader versions, and
    different file formats.
  2. The BOOT pin method with dwlwin doesn`t work as well , i think because of the same.

I have found some topic where someone say that you will need some “migration” file to download to CPU, but
nobody can find it.

As far as you ask what EXACTLY the problem is, can i ask you
what EXACTLY the procedure to upgrading from 6.63 to 72?

Great Thanks for answer.


#4

Thanks ALL for very rapid help.
Problem solved.
If anyone has questions about it, do not hesitate to contact me.


#5

I can’t upgrading my Q2687H from 6.63 to R72 with DWLWin. how can you do that?


#6

What exactly are you doing? And what are error messages?


#7

The exact procedure is

  1. Turn off module power
  2. Tie BOOT pin to 2.8V
  3. Start download in DWLwin
  4. Turn on module

You will need file R72_00-cus-q26-01.wpk from website.


#8

I’m facing the same problem as the original poster. I have a number of Q2686H modules with 6.63 firmware (663_09gg.Q2686H 1955080 080207 16:01) and am unable to upgrade them.

By now I ahve installed each of the old SDK / IDE versions available on archive.sierrawireless.com and I’ve tried to install each and every firmware version that I could find, both using +WDWL / xmodem method, as well as with DWLwin.

The bootloader version on all those units is v06.0B

On one of the modules I have been able to update the DWL bootloader to version “V8port” using dwl_port.dwl from a “R71 Upgrade with Xmodem.zip”. The only result is that now the new loader is not able to reliably speak Xmodem anymore.

I’d really appreciate any help on this, as I’ve already wasted more than one entire day with this version incompatibility nightmare :frowning:

And before you’re asking: I have hardware flow control wired on my board, and I’m able to pull the BOOT pin high. Also, I’ve tried
two different computer and three different USB serial converters (PL2303, CP210x, FTDI) and two different Operating systems (XP, Linux).